Subject: Re: [X2Go-Dev] Bug#1172: Bug#1172: ThunderBird crashes in PubApp mode on amd64

From: Ulrich Sibiller <[email-masked]>
Date: Fri, 5 May 2017 21:41:47 +0200

On Fri, May 5, 2017 at 5:33 PM, Walid MOGHRABI
<[email-masked]> wrote:
> I would recommend disabling GLX by uncommenting this line in /etc/x2go/x2goagent.options :
>
> #X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension GLX"
>
> GLX is unusable with the current NX-Libs (even Arctica ones) but since the extension is enabled, some components still tries to use H/W acceleration for some parts.
> I get far better results (especially stability wise) with this option disabled.
>
> I would even consider disabling it "by default" until a proper GLX support is added to nx-libs.

It is not "unusable". But nx offers an old version of GLX only. And
there seem to be some applications that don't care for the version the
X server (nxagent in this case) reports. So what should we do?

It is possible to implement a newer GLX version but that would need
some investing quite some time. Unfortunately the current nx
development staff does not have that time...

Regarding Thunderbird: does it still crash after setting
gfx.xrender.enabled to true in about:config (respectively user.js)?

Uli